Subject: Re: perl problems [SUMMARY]
From: Markus Hoenicka <[email-masked]>
To: [email-masked]
Date: Wed, 25 Aug 1999 16:52:52 -0500

This is just to let the list know about the results.

Although Chuck Wilson was trying really hard, we didn't find a way to
compile perl on my box properly. The problem is with the dynamic loading
of extensions. If you just need the extensions shipped with the most
recent perl sources, everything is fine if you link them statically
(except that the makefile forgets about a dependency and doesn't build
perlld by default, so I had to run ./Configure; make perlld; make; make
install). Loading these extensions dynamically or loading other
extensions from CPAN dynamically did not work on my system.

The problem is almost certainly not related to the perl sources or to
Chuck's patches, as others manage to build a dynamically loading perl on
their boxes. Unfortunately we couldn't exactly figure out what in my
system offends perl. I tried:

- text mount vs. binary mount
- fiddling around with access rights (build/install as administrator or
as
  regular user, take ownership, change access rights)
- different sources (5.005_03 and 5.005_60)
- links vs. mounts when hooking up the cygwin directories into a
Unix-like
  hierarchy
- path problems. I cut down the path to /bin:/usr/bin:/usr/local/bin,
but that made
  things actually worse

all to no avail.

So to sum it up, perl might not compile properly on some specific CygWin
configurations. That is all I can conclude.

regards,
Markus

Markus Hoenicka wrote:
> 
> I'm no perl geek, but I need to run a few perl scripts on my machine. I
> first tried Activestate's perl binaries. They work well and the scripts
> I need also install and run well - but this perl won't run in a bash,
> due to Win/Unix path incompatibilities, as I guess.
> 
> Next tried the cygwin perl ports at http://cygutils.netpedia.net/. I
> tried both the statically linked and the dynamically linked versions
> (binary version 1.4). which perl shows that I pick up the correct binary
> (not the Activestate stuff).
> 
> When I try to install the modules I need (XML-Parser-2.26, XML-DOM-1.24,
> DelimMatch-1.04, dtdparse-2.0a2) with tar -xzf..., perl Makefile.PL,
> make, make install, perl tells me that I do not have the permission to
> install to perl5/5.00503/cygwin32, although the modules end up
> right there. When creating
> the makefile for XML-DOM it complains that XML-Parser-2.23 is not
> installed. XML-DOM still makes and installs fine except for the same
> permission complaint.
> 
> Finally, one of the dtdparse scripts runs fine, the other stops with the
> following complaint:
> 
> Can't load '/usr/local/lib/perl5/5.00503/cygwin32/auto/IO/IO.dll' for
> module IO:
>  126 at /usr/local/lib/perl5/5.00503/cygwin32/DynaLoader.pm line 169.
> 
>  at /usr/local/lib/perl5/5.00503/cygwin32/IO/Handle.pm line 248
> BEGIN failed--compilation aborted at
> /usr/local/lib/perl5/site_perl/cygwin32/XML
> /Parser/Expat.pm line 11.
> BEGIN failed--compilation aborted at
> /usr/local/lib/perl5/site_perl/cygwin32/XML
> /Parser.pm line 27.
> BEGIN failed--compilation aborted at
> /usr/local/lib/perl5/site_perl/XML/DOM.pm l
> ine 88.
> BEGIN failed--compilation aborted at
> /user/mhoen/software/dtdparse-2.0a2/dtdform
> at.pl line 24.
> 
> (This is the output with the dynamically linked version. The statically
> linked version gives up much sooner, complaining it can't load
> XML-Parser)
> 
> Is there any way to get perl up and running with CygWin?
> Thanks
> Markus
> 
> --
> Markus Hoenicka
> UT Houston Medical School
> Dept. of Integrative Biology and Pharmacology
> 6431 Fannin MSB4.114
> Houston, TX 77030
> (713) 500-6313, -7476, -7477
> (713) 500-7444 (fax)
> [email-masked]
> http://ourworld.compuserve.com/homepages/hoenicka_markus/
> 
> --
> Want to unsubscribe from this list?
> Send a message to [email-masked]

-- 
Markus Hoenicka
UT Houston Medical School
Dept. of Integrative Biology and Pharmacology
6431 Fannin MSB4.114
Houston, TX 77030
(713) 500-6313, -7476, -7477
(713) 500-7444 (fax)
[email-masked]
http://ourworld.compuserve.com/homepages/hoenicka_markus/

--
Want to unsubscribe from this list?
Send a message to [email-masked]